--- a/src/musicbrainz/MusicBrainzFinder.cpp
+++ b/src/musicbrainz/MusicBrainzFinder.cpp
@@ -127,7 +127,7 @@ MusicBrainzFinder::sendNewRequest()
     QPair<Meta::TrackPtr, QNetworkRequest> req = m_requests.takeFirst();
     QNetworkReply *reply = net->get( req.second );
     m_replies.insert( reply, req.first );
-    connect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::error),
+    connect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::errorOccurred),
              this, &MusicBrainzFinder::gotReplyError );
 
     debug() << "Request sent:" << req.second.url().toString();
@@ -155,7 +155,7 @@ MusicBrainzFinder::gotReplyError( QNetwo
         return;
 
     debug() << "Error occurred during network request:" << reply->errorString();
-    disconnect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::error),
+    disconnect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::errorOccurred),
                 this, &MusicBrainzFinder::gotReplyError );
 
     // Send an empty result to populate the tagger.
--- a/src/musicbrainz/MusicDNSFinder.cpp
+++ b/src/musicbrainz/MusicDNSFinder.cpp
@@ -79,7 +79,7 @@ void MusicDNSFinder::sendNewRequest()
     QPair < Meta::TrackPtr, QNetworkRequest > req = m_requests.takeFirst();
     QNetworkReply *reply = net->get( req.second );
     m_replyes.insert( reply, req.first );
-    connect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::error),
+    connect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::errorOccurred),
              this, &MusicDNSFinder::replyError );
     debug() << "Request sent: " << req.second.url().toString();
 }
@@ -115,7 +115,7 @@ MusicDNSFinder::replyError( QNetworkRepl
     if( !m_replyes.contains( reply ) || code == QNetworkReply::NoError )
         return;
 
-    disconnect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::error),
+    disconnect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::errorOccurred),
                 this, &MusicDNSFinder::replyError );
 
     debug() << "Error occurred during network request: " << reply->errorString();
--- a/src/services/gpodder/GpodderServiceSettings.cpp
+++ b/src/services/gpodder/GpodderServiceSettings.cpp
@@ -154,7 +154,7 @@ GpodderServiceSettings::finished()
 
         connect( m_createDevice, &QNetworkReply::finished,
                  this, &GpodderServiceSettings::deviceCreationFinished );
-        connect( m_createDevice, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::error),
+        connect( m_createDevice, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::errorOccurred),
                  this, &GpodderServiceSettings::deviceCreationError );
     }
     else
--- a/src/services/lastfm/LastFmServiceSettings.cpp
+++ b/src/services/lastfm/LastFmServiceSettings.cpp
@@ -117,7 +117,7 @@ LastFmServiceSettings::testLogin()
     m_authQuery = lastfm::ws::post( query );
 
     connect( m_authQuery, &QNetworkReply::finished, this, &LastFmServiceSettings::onAuthenticated );
-    connect( m_authQuery, QOverload<QNetworkReply::NetworkError>::of( &QNetworkReply::error ),
+    connect( m_authQuery, QOverload<QNetworkReply::NetworkError>::of( &QNetworkReply::errorOccurred ),
              this, &LastFmServiceSettings::onError );
 }
 
--- a/src/statusbar/NetworkProgressBar.cpp
+++ b/src/statusbar/NetworkProgressBar.cpp
@@ -19,7 +19,7 @@
 NetworkProgressBar::NetworkProgressBar( QWidget *parent, QNetworkReply *reply )
     : ProgressBar( parent )
 {
-    connect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::error),
+    connect( reply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::errorOccurred),
              this, &NetworkProgressBar::infoMessage );
     connect( reply, &QNetworkReply::finished, this, &NetworkProgressBar::delayedDone );
     connect( reply, &QNetworkReply::destroyed, this, &NetworkProgressBar::delayedDone );
